<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">

<xsl:output 
   method="xml" encoding="UTF-8" 
   media-type="text/xml" 
   doctype-public="-//W3C//DTD XHTML 1.1//EN" 
   doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"
   indent="yes" />

<!-- =========ROOT========= -->
<xsl:template match="/">
<xsl:element name="html">
  <xsl:attribute name="lang"
            namespace="http://www.w3.org/XML/1998/namespace">ja</xsl:attribute>
<xsl:call-template name="head" />
<!-- =========Body========= -->
<xsl:element name="body">
<!-- Navi-->
<xsl:call-template name="navi" />
<!-- =========SearchForm========= -->
<form action="/mycgi/daybook/daybook_search.rb" method="post">
  <dl>
     <dt><label for="search">Search</label></dt>
     <dd><input type="text" name="search" size="30" id="search" /><input type="submit" value="search"/></dd>
  </dl>
</form>
<hr />
<!-- =========Content========= -->
		<xsl:apply-templates select="archives/items/item" />

</xsl:element><!-- end of body -->
</xsl:element><!-- end of html -->
</xsl:template>
<!-- =========Template Item========= -->
<xsl:template match="archives/items/item">
	<xsl:element name="div">
		<xsl:element name="dl">
			<xsl:element name="dt">
			<xsl:element name="a"><xsl:attribute name="href"><xsl:value-of select="year_uri" /></xsl:attribute>
				<xsl:value-of select="year" /></xsl:element>
			</xsl:element>
			<xsl:apply-templates select="entry" />
		</xsl:element>
	</xsl:element>
</xsl:template>

<!-- =========Template Entry========= -->
<xsl:template match="entry">
	<xsl:element name="dd">
		<xsl:element name="a"><xsl:attribute name="href"><xsl:value-of select="uri" /></xsl:attribute>
		<xsl:value-of select="t_i" />
	</xsl:element>
	<xsl:value-of select="date" />
	&#8194;<xsl:value-of select="subject" disable-output-escaping="yes"/>&#8194;&#8194;(<xsl:value-of select="itemcount" />)
	</xsl:element>
</xsl:template>


<!-- =========Template Header========= -->
<xsl:template name="head">
  <xsl:element name="head">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="author" content="midore"/>
    <!-- meta name="date" -->
    <xsl:element name="meta">
      <xsl:attribute name="name">date</xsl:attribute>
        <xsl:attribute name="content"><xsl:value-of select="archives/metadate" /></xsl:attribute>
    </xsl:element>
    <!-- rel="stylesheet" -->
    <xsl:element name="link">
      <xsl:attribute name="rel">stylesheet</xsl:attribute>
      <xsl:attribute name="type">text/css</xsl:attribute>
      <xsl:attribute name="media">screen,tv</xsl:attribute>
      <xsl:attribute name="href">/css/daybook_index.css</xsl:attribute>
      <xsl:attribute name="title">daybook.css</xsl:attribute>
    </xsl:element>

    <!-- title -->
    <xsl:element name="title">Daybook Archives</xsl:element>
  </xsl:element>
</xsl:template>

<!-- =========Template Navi========= -->
<xsl:template name="navi">
<xsl:element name="h1">
	<xsl:element name="a"><xsl:attribute name="href">http://www.midore.net</xsl:attribute>www.midore net</xsl:element> ::
  <xsl:element name="a"><xsl:attribute name="href">/daybook/daybook_index.html</xsl:attribute>Daybook Index</xsl:element> ::
  <xsl:element name="a"><xsl:attribute name="href">/daybook/daybook_archives.html</xsl:attribute>Daybook Archives</xsl:element>
</xsl:element>
</xsl:template>


<!-- END -->
</xsl:stylesheet>